Bug 845329 - Grub hangs after creating logical volume and rebooting
Grub hangs after creating logical volume and rebooting
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 12:56 EDT by James Shelby
Modified: 2013-08-01 04:59 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 04:59:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
partition and LVM details for a test install in a 32GB VM (1.60 KB, text/plain)
2012-09-17 15:15 EDT, Steve Tyler
no flags Details

  None (edit)
Description James Shelby 2012-08-02 12:56:05 EDT
Description of problem:
Grub hangs after creating new lvol

Version-Release number of selected component (if applicable):


How reproducible:
After creating a 16TB megaraid volume on a cisco C240 then installing Fedora 17 with a 16GB root partition, 8GB swap, 512MB boot partition on a GPT install with a 1MB bios partition.  System reboots fine every time however when I create a 12 TB lvol then reboot it hangs at the grub boot menu.  The partition is not mounted and only created.  If I boot off a live CD and lvremove that partition the system will boot normally.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Mads Kiilerich 2012-08-02 17:29:27 EDT
Please attach the anaconda logs - they will probably tell some exact information and details that probably will help understanding the problem.

Can the cisco c240 for all practicial purposes can be considered a normal x86_64 PC with hardware raid that expose a single storage device?

What do 'hangs at the boot menu' mean exactly? Is the menu shown correctly? Can you get to the command line? Is it only when a boot entry is selected that it fails? In what way?
Comment 2 James Shelby 2012-08-02 17:39:56 EDT
Hanging meaning...


Welcome to Grub.



There is no menu, you can't press a key to get a menu.  The system is frozen and requires a reset.


I'm looking for anaconda logs however I found if I move the /boot from lvm to its own partition that I can boot fine.  It seems when a new lvm is created that the boot pointer to the boot lvm is no longer able to get to the boot lvm.
Comment 3 James Shelby 2012-08-02 17:48:44 EDT
I should clarify.  The OS installs fine but after creating the new logical volume for data the Grub hangs at the welcome to grub where it is loading.  This could be the stage1 can't be found but not sure where I could find out further information.
Comment 4 Steve Tyler 2012-09-16 03:55:38 EDT
James: The anaconda logs are in /var/log/anaconda/.
For simplicity, a tar file could be attached:
# tar -cavf /tmp/anaconda-logs-1.tar.bz2 /var/log/anaconda/

If this is what you were installing on,
it sounds like you get to work with a real computer: :-)

Cisco UCS C240 M3 Rack Server
http://www.cisco.com/en/US/products/ps12370/index.html

According to the grub2 manual:
"GRUB 2 can read files directly from LVM and RAID devices."[1]

Did you install from the F17 Live CD?
Did you create the partitions and logical volumes needed to install
using the F17 installer?

Did you create the "12 TB lvol" for data after completing the installation?
How did you create it?

What is your LVM configuration?
# pvs; vgs; lvs

Mads: Can you suggest anything else?

[1] GNU GRUB Manual 2.00~rc1
1.3 Differences from previous versions
http://www.gnu.org/software/grub/manual/grub.html#Changes-from-GRUB-Legacy
Comment 5 Steve Tyler 2012-09-17 15:15:23 EDT
Created attachment 613755 [details]
partition and LVM details for a test install in a 32GB VM

FWIW, I could not reproduce this hang using a 32GB VM. For the record, here are the details:

1. Create a VM disk image:
   $ qemu-img create f17-test-2.img 32G
2. Install using the F17 DVD:
   $ qemu-kvm -m 1024 -hda f17-test-2.img
     -cdrom ~/xfr/fedora/F17/Fedora-17-x86_64-DVD.iso -boot menu=on -vga qxl
3. Append "gpt" to the installer kernel's command line.
4. Select "Create Custom Layout" and 
   create a "BIOS Boot" partition and 
   an LVM physical volume consuming the entire disk.
5. Create an LVM volume group and logical volumes for "/boot", "/", "swap".
   Leave some unallocated space in the volume group.
6. Complete a minimal install and reboot.
7. Create a logical volume that consumes the remaining space
   in the volume group:
   # lvcreate -l 100%FREE -n lv_spare vg_fluxus
   Do not format it.
8. Reboot.

On the guest:
grub2-2.0-0.25.beta4.fc17.x86_64
kernel-3.3.4-5.fc17.x86_64

On the host:
qemu-kvm-1.0.1-1.fc17.x86_64
Comment 6 Steve Tyler 2012-09-17 22:14:56 EDT
For completeness, I did a full F17 update and reinstalled grub2 with:
grub2-install /dev/sda
grub2-mkconfig -o /boot/grub2/grub.cfg

Grub2 does not hang, but there are two anomalies:

1. There is a two second pause after the display of "Welcome to GRUB!".
   An error message flashes by, and then the GRUB menu is displayed.
   This appears to be Bug 817187.

2. There is an intermittent 90 second hang with a black display
   during poweroff or reboot that I have not investigated.

After updating:
grub2-2.0-0.38.beta6.fc17.x86_64
kernel-3.5.3-1.fc17.x86_64
Comment 7 Steve Tyler 2012-09-17 23:16:54 EDT
James: Did you run a "yum update" after installing?

This bug was solved by updating grub2:
Bug 849532 - Grub2 takes unusually long time to display menu list.

NB: After updating grub2, you have to run:
# grub2-install /dev/sda
# grub2-mkconfig -o /boot/grub2/grub.cfg

"The active boot loader will not be changed when the GRUB 2 package is updated."
/usr/share/doc/grub2-tools-2.0/README.Fedora

$ rpm -q grub2
grub2-2.0-0.38.beta6.fc17.x86_64
Comment 8 Fedora End Of Life 2013-07-03 22:39:13 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-08-01 04:59:51 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.